%global fontname    bitstream-vera
%global archivename ttf-bitstream-vera

%define fontdir %{_datadir}/%{fontname}

Name:    %{fontname}-fonts
Version: 1.10
Release: 1
Summary: Bitstream Vera fonts

Group:     User Interface/X
License:   Bitstream Vera
URL:       http://www.gnome.org/fonts/
Source0:   ftp://ftp.gnome.org/pub/GNOME/sources/%{archivename}/%{version}/%{archivename}-%{version}.tar.bz2
Source1:   ftp://ftp.gnome.org/pub/GNOME/sources/%{archivename}/%{version}/%{archivename}-%{version}.tar.bz2.md5
Source2:   ftp://ftp.gnome.org/pub/GNOME/sources/%{archivename}/%{version}/%{archivename}-%{version}.tar.bz2.sha256sum
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:     noarch

%description
The Vera fonts are high-quality Latin fonts donated by Bitstream.
These fonts have been released under a liberal license, see the
licensing FAQ in COPYRIGHT.TXT or the online up-to-date version
at %{url} for details.


%package common
Summary: Common files of the Bitstream Vera font set
Group:   User Interface/X

%description common
The Vera fonts are high-quality Latin fonts donated by Bitstream.
These fonts have been released under a liberal license, see the
licensing FAQ in COPYRIGHT.TXT or the online up-to-date version
at %{url} for details.

This package consists of files used by other %{name} packages.

%files common
%defattr(0644,root,system,-)
%doc *.TXT


%package -n %{fontname}-sans-fonts
Summary:  Variable-width sans-serif Bitstream Vera fonts
Group:    User Interface/X
Requires: %{name}-common = %{version}-%{release}

%description -n %{fontname}-sans-fonts
The Vera fonts are high-quality Latin fonts donated by Bitstream.
These fonts have been released under a liberal license, see the
licensing FAQ in COPYRIGHT.TXT or the online up-to-date version
at %{url} for details.

This package consists of the Bitstream Vera sans-serif variable-width font
faces.

%files -n %{fontname}-sans-fonts
%defattr(0644,root,system,-)
%dir %{fontdir}
%{fontdir}/Vera.ttf
%{fontdir}/VeraBd.ttf
%{fontdir}/VeraIt.ttf
%{fontdir}/VeraBI.ttf


%package -n %{fontname}-serif-fonts
Summary:  Variable-width serif Bitstream Vera fonts
Group:    User Interface/X
Requires: %{name}-common = %{version}-%{release}

%description -n %{fontname}-serif-fonts
The Vera fonts are high-quality Latin fonts donated by Bitstream.
These fonts have been released under a liberal license, see the
licensing FAQ in COPYRIGHT.TXT or the online up-to-date version
at %{url} for details.

This package consists of the Bitstream Vera serif variable-width font faces.

%files -n %{fontname}-serif-fonts
%defattr(0644,root,system,-)
%dir %{fontdir}
%{fontdir}/VeraSe*ttf


%package -n %{fontname}-sans-mono-fonts
Summary:  Monospace sans-serif Bitstream Vera fonts
Group:    User Interface/X
Requires: %{name}-common = %{version}-%{release}

%description -n %{fontname}-sans-mono-fonts
The Vera fonts are high-quality Latin fonts donated by Bitstream.
These fonts have been released under a liberal license, see the
licensing FAQ in COPYRIGHT.TXT or the online up-to-date version
at %{url} for details.

This package consists of the Bitstream Vera sans-serif monospace font faces.

%files -n %{fontname}-sans-mono-fonts
%defattr(0644,root,system,-)
%dir %{fontdir}
%{fontdir}/VeraMo*ttf


%prep
%setup -q -n %{archivename}-%{version}


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_datadir}/%{fontname}

cp *.ttf ${RPM_BUILD_ROOT}%{_datadir}/%{fontname}/
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/%{fontname}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%changelog
* Wed May 19 2010 Michael Perzl <michael@perzl.org> - 1.10-1
- first version for AIX V5.1 and higher
